TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | Properties | List of all members
TIBCO.EMS.ADMIN.Permissions Class Reference

This class represents a set of permissions on destinations. More...

## Public Member Functions
| Permissions ()
| Default constructor which creates empty set of permissions. More...
| Permissions (long perms)
| Creates given set of permissions. More...
bool | HasPermission (long perm)
| Determine if the given permission is present in these Permissions. More...
void | SetPermission (long perm, bool grant)
| Set or unset given permissions in this set of permissions. More...
bool | HasInheritedPermission (long perm)
| Determine if the given permission is present in the Inherited Permissions. More...
override string | ToString ()
| Generate a string representation of this Permissions. More...

## Public Attributes
const long | SEND = 0x0001
| Send permission for a queue. More...
const long | RECEIVE = 0x0002
| Receive permission for a queue. More...
const long | BROWSE = 0x0004
| Browse permission for a queue. More...
const long | PUBLISH = 0x0010
| Publish permission for a topic. More...
const long | SUBSCRIBE = 0x0020
| Subscribe permission for a topic. More...
const long | DURABLE = 0x0040
| Permission to create a durable subscriber for a topic. More...
const long | USE_DURABLE = 0x0080
| Permission to use a durable subscription that already exists on the EMS server. More...
const long | VIEW = 0x00010000
| Administrative permission to view destination. More...
const long | CREATE = 0x00020000
| Administrative permission to create destination. More...
const long | DELETE = 0x00040000
| Administrative permission to delete destination. More...
const long | MODIFY = 0x00080000
| Administrative permission to modify destination. More...
const long | PURGE = 0x00100000
| Administrative permission to purge destination. More...

## Static Public Attributes
static readonly long | SEND_PERMISSION = SEND
| Send permission for a queue, deprecated. Use SEND permission. More...
static readonly long | RECEIVE_PERMISSION = RECEIVE
| Receive permission for a queue, deprecated. Use RECEIVE permission More...
static readonly long | BROWSE_PERMISSION = BROWSE
| Browse permission for a queue, deprecated. Use BROWSE permission. More...
static readonly long | PUBLISH_PERMISSION = PUBLISH
| Publish permission for a topic, deprecated. Use PUBLISH permission. More...
static readonly long | SUBSCRIBE_PERMISSION = SUBSCRIBE
| Subscribe permission for a topic, deprecated. Use SUBSCRIBE permission. More...
static readonly long | DURABLE_PERMISSION = DURABLE
| Permission to create a durable subscriber for a topic, deprecated. Use DURABLE permission. More...

## Properties
bool | Empty`[get]`
| Indicates whether or not the Permissions object has any permissions set. More...

## Detailed Description

This class represents a set of permissions on destinations.

Permissions objects are used with ACLEntries to represent the user-level and optionally administrative permissions that a principal has on a destination.

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.Permissions.Permissions | ( |  | ) |
| inline

Default constructor which creates empty set of permissions.

TIBCO.EMS.ADMIN.Permissions.Permissions | ( | long | perms | ) |
| inline

Creates given set of permissions.

Parameters

  perms | the permissions.

## Member Function Documentation

bool TIBCO.EMS.ADMIN.Permissions.HasInheritedPermission | ( | long | perm | ) |
| inline

Determine if the given permission is present in the Inherited Permissions.

Parameters

  perm | permissions

Returns
  true if given permissions are all present in inherited permissions

bool TIBCO.EMS.ADMIN.Permissions.HasPermission | ( | long | perm | ) |
| inline

Determine if the given permission is present in these Permissions.

Parameters

  perm | permissions

Returns
  true if given permissions are all present

void TIBCO.EMS.ADMIN.Permissions.SetPermission | ( | long | perm,
|  | bool | grant
| ) |  |
| inline

Set or unset given permissions in this set of permissions.

Parameters

  perm | permissions
  grant | true if permissions should be added to the set, false if they should be removed

override string TIBCO.EMS.ADMIN.Permissions.ToString | ( |  | ) |
| inline

Generate a string representation of this Permissions.

Returns
  a string representation of this Permissions.

## Member Data Documentation

const long TIBCO.EMS.ADMIN.Permissions.BROWSE = 0x0004

Browse permission for a queue.

readonly long TIBCO.EMS.ADMIN.Permissions.BROWSE_PERMISSION = BROWSE
| static

Browse permission for a queue, deprecated. Use BROWSE permission.

const long TIBCO.EMS.ADMIN.Permissions.CREATE = 0x00020000

Administrative permission to create destination.

const long TIBCO.EMS.ADMIN.Permissions.DELETE = 0x00040000

Administrative permission to delete destination.

const long TIBCO.EMS.ADMIN.Permissions.DURABLE = 0x0040

Permission to create a durable subscriber for a topic.

readonly long TIBCO.EMS.ADMIN.Permissions.DURABLE_PERMISSION = DURABLE
| static

Permission to create a durable subscriber for a topic, deprecated. Use DURABLE permission.

const long TIBCO.EMS.ADMIN.Permissions.MODIFY = 0x00080000

Administrative permission to modify destination.

const long TIBCO.EMS.ADMIN.Permissions.PUBLISH = 0x0010

Publish permission for a topic.

readonly long TIBCO.EMS.ADMIN.Permissions.PUBLISH_PERMISSION = PUBLISH
| static

Publish permission for a topic, deprecated. Use PUBLISH permission.

const long TIBCO.EMS.ADMIN.Permissions.PURGE = 0x00100000

Administrative permission to purge destination.

const long TIBCO.EMS.ADMIN.Permissions.RECEIVE = 0x0002

Receive permission for a queue.

readonly long TIBCO.EMS.ADMIN.Permissions.RECEIVE_PERMISSION = RECEIVE
| static

Receive permission for a queue, deprecated. Use RECEIVE permission

const long TIBCO.EMS.ADMIN.Permissions.SEND = 0x0001

Send permission for a queue.

readonly long TIBCO.EMS.ADMIN.Permissions.SEND_PERMISSION = SEND
| static

Send permission for a queue, deprecated. Use SEND permission.

const long TIBCO.EMS.ADMIN.Permissions.SUBSCRIBE = 0x0020

Subscribe permission for a topic.

readonly long TIBCO.EMS.ADMIN.Permissions.SUBSCRIBE_PERMISSION = SUBSCRIBE
| static

Subscribe permission for a topic, deprecated. Use SUBSCRIBE permission.

const long TIBCO.EMS.ADMIN.Permissions.USE_DURABLE = 0x0080

Permission to use a durable subscription that already exists on the EMS server.

const long TIBCO.EMS.ADMIN.Permissions.VIEW = 0x00010000

Administrative permission to view destination.

## Property Documentation

bool TIBCO.EMS.ADMIN.Permissions.Empty
| get

Indicates whether or not the Permissions object has any permissions set.

Returns
  true if this object has no permissions set, false otherwise.